Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
CoinExternalVectorFirstLess_2< S, T, V > Class Template Reference

Function operator. More...

`#include <CoinSort.hpp>`

## Public Member Functions
bool | operator() (const CoinPair< S, T > &t1, const CoinPair< S, T > &t2) const
| CoinExternalVectorFirstLess_2 (const V *v)

## Private Member Functions
| CoinExternalVectorFirstLess_2 ()

## Private Attributes
const V * | vec_

## Detailed Description

### template<class S, class T, class V>
class CoinExternalVectorFirstLess_2< S, T, V >

Function operator.

Compare based on the entries of an external vector, i.e., returns true if vec[t1.first < vect2.first. Note that to use this comparison operator .first must be a data type automatically convertible to int.

Definition at line 102 of file CoinSort.hpp.

## Constructor & Destructor Documentation

template<class S , class T , class V >

CoinExternalVectorFirstLess_2< S, T, V >::CoinExternalVectorFirstLess_2 | ( |  | ) |
| private

template<class S , class T , class V >

CoinExternalVectorFirstLess_2< S, T, V >::CoinExternalVectorFirstLess_2 | ( | const V * | v | ) |
| inline

Definition at line 111 of file CoinSort.hpp.

## Member Function Documentation

template<class S , class T , class V >

bool CoinExternalVectorFirstLess_2< S, T, V >::operator() | ( | const CoinPair< S, T > & | t1,
|  | const CoinPair< S, T > & | t2
| ) |  | const
| inline

Definition at line 108 of file CoinSort.hpp.

## Member Data Documentation

template<class S , class T , class V >

const V* CoinExternalVectorFirstLess_2< S, T, V >::vec_
| private

Definition at line 106 of file CoinSort.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/CoinUtils/src/CoinSort.hpp